------------------------------------------------------------
-- VHDL FPGAMFO4
-- 2021 5 25 11 12 49
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2014 Altium Limited"
-- Product Version: 16.1.12.290
------------------------------------------------------------

------------------------------------------------------------
-- VHDL FPGAMFO4
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity FPGAMFO4 Is
  port
  (
    X_1PPS_PARITY : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=1PPS_PARITY
    A             : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=A[31..0]
    ADDR          : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=ADDR[31..0]
    B             : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=B[31..0]
    CLK           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK
    CNT           : In    STD_LOGIC_VECTOR(25 Downto 0);     -- ObjectKind=Port|PrimaryId=CNT[25..0]
    CRCERR        : Out   STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=CRCERR[7..0]
    DELAY         : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=DELAY[31..0]
    DELAYERR      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DELAYERR
    DO            : Out   STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=DO[7..0]
    DONE          : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=DONE
    ENABLE        : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=ENABLE
    ERRC          : Out   STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=ERRC[7..0]
    FIXED_DELAY   : Out   STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=FIXED_DELAY[31..0]
    GPS           : In    STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Port|PrimaryId=GPS[31..0]
    LEDA          : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LEDA
    LEDSYNC       : In    STD_LOGIC_VECTOR(3 Downto 0);      -- ObjectKind=Port|PrimaryId=LEDSYNC[3..0]
    LOSA          : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=LOSA
    MISSING       : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=MISSING
    PREV_DI       : In    STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Port|PrimaryId=PREV_DI[7..0]
    PREV_DONE     : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_DONE
    PREV_ENABLE   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_ENABLE
    PREV_RDY      : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_RDY
    PREV_START    : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=PREV_START
    RDY           : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RDY
    RST           : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST
    START         : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=START
    SYNCINA       : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCINA
    SYNCOUTA      : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SYNCOUTA
    UP            : Out   STD_LOGIC                          -- ObjectKind=Port|PrimaryId=UP
  );
  attribute MacroCell : boolean;

End FPGAMFO4;
------------------------------------------------------------

------------------------------------------------------------
Architecture Structure Of FPGAMFO4 Is
   Component ADSU32B                                         -- ObjectKind=Part|PrimaryId=U144|SecondaryId=1
      port
      (
        A   : in  STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Pin|PrimaryId=U144-A[31..0]
        ADD : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U144-ADD
        B   : in  STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Pin|PrimaryId=U144-B[31..0]
        CI  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U144-CI
        CO  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U144-CO
        OFL : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U144-OFL
        S   : out STD_LOGIC_VECTOR(31 Downto 0)              -- ObjectKind=Pin|PrimaryId=U144-S[31..0]
      );
   End Component;

   Component AND2N1S                                         -- ObjectKind=Part|PrimaryId=U177|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U177-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U177-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U177-O
      );
   End Component;

   Component AND2S                                           -- ObjectKind=Part|PrimaryId=U157|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U157-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U157-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U157-O
      );
   End Component;

   Component AND3S                                           -- ObjectKind=Part|PrimaryId=U156|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U156-I2
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U156-O
      );
   End Component;

   Component AND4N1S                                         -- ObjectKind=Part|PrimaryId=U168|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U168-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U168-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U168-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U168-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U168-O
      );
   End Component;

   Component AND5S                                           -- ObjectKind=Part|PrimaryId=U148|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U148-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U148-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U148-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U148-I3
        I4 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U148-I4
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U148-O
      );
   End Component;

   Component CB8CES                                          -- ObjectKind=Part|PrimaryId=U166|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-CEO
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-CLR
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U166-Q7
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U166-TC
      );
   End Component;

   Component CB8REB                                          -- ObjectKind=Part|PrimaryId=U159|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U159-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U159-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U159-CEO
        Q   : out STD_LOGIC_VECTOR(7 Downto 0);              -- ObjectKind=Pin|PrimaryId=U159-Q[7..0]
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U159-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U159-TC
      );
   End Component;

   Component CB8RES                                          -- ObjectKind=Part|PrimaryId=U145|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-CE
        CEO : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-CEO
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q3
        Q4  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q4
        Q5  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q5
        Q6  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q6
        Q7  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-Q7
        R   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U145-R
        TC  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U145-TC
      );
   End Component;

   Component Configurable_U81                                -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      port
      (
        I  : in  STD_LOGIC_VECTOR(3 Downto 0);               -- ObjectKind=Pin|PrimaryId=U81-I[3..0]
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O0
        O1 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O1
        O2 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U81-O2
        O3 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U81-O3
      );
   End Component;

   Component DelayError                                      -- ObjectKind=Sheet Symbol|PrimaryId=U_delayerror
      port
      (
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-CLK
        CNT       : in  STD_LOGIC_VECTOR(25 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-CNT[25..0]
        DELAYERR  : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DELAYERR
        DLYERR    : in  STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYERR[31..0]
        DLYOOR    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYOOR
        DLYVLD    : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYVLD
        ERRCNT    : out STD_LOGIC_VECTOR(7 Downto 0);        -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-ERRCNT[7..0]
        LOS       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-LOS
        MISSING   : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-MISSING
        ONEPPSADV : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-ONEPPSADV
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-RST
        UP        : out STD_LOGIC                            -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-UP
      );
   End Component;

   Component FanoutPortCounter                               -- ObjectKind=Sheet Symbol|PrimaryId=U_fanoutportcounter
      port
      (
        CLK       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-CLK
        DELAY     : in  STD_LOGIC_VECTOR(31 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-DELAY[31..0]
        INCOUNT   : in  STD_LOGIC_VECTOR(25 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-INCOUNT[25..0]
        NMI       : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-NMI
        ONEPPSADV : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-ONEPPSADV
        OOR       : out STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-OOR
        OUTCOUNT  : out STD_LOGIC_VECTOR(25 Downto 0);       -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-OUTCOUNT[25..0]
        RST       : in  STD_LOGIC;                           -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-RST
        SYNCDIS   : in  STD_LOGIC                            -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-SYNCDIS
      );
   End Component;

   Component FD                                              -- ObjectKind=Part|PrimaryId=U147|SecondaryId=1
      port
      (
        C : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U147-C
        D : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U147-D
        Q : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U147-Q
      );
   End Component;

   Component FD2ES                                           -- ObjectKind=Part|PrimaryId=U152|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U152-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U152-CE
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U152-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U152-D1
        Q0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U152-Q0
        Q1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U152-Q1
      );
   End Component;

   Component FD32CEB                                         -- ObjectKind=Part|PrimaryId=U146|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U146-CLR
        D   : in  STD_LOGIC_VECTOR(31 Downto 0);             -- ObjectKind=Pin|PrimaryId=U146-D[31..0]
        Q   : out STD_LOGIC_VECTOR(31 Downto 0)              -- ObjectKind=Pin|PrimaryId=U146-Q[31..0]
      );
   End Component;

   Component FDC_1                                           -- ObjectKind=Part|PrimaryId=U174|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U174-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U174-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U174-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U174-Q
      );
   End Component;

   Component FDCE                                            -- ObjectKind=Part|PrimaryId=U173|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U173-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U173-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U173-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U173-D
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U173-Q
      );
   End Component;

   Component FDCN                                            -- ObjectKind=Part|PrimaryId=U179|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U179-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U179-CLR
        D   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U179-D
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U179-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U179-QN
      );
   End Component;

   Component FDE                                             -- ObjectKind=Part|PrimaryId=U175|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U175-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U175-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U175-D
        Q  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U175-Q
      );
   End Component;

   Component FDEN                                            -- ObjectKind=Part|PrimaryId=U154|SecondaryId=1
      port
      (
        C  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U154-C
        CE : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U154-CE
        D  : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U154-D
        Q  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U154-Q
        QN : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U154-QN
      );
   End Component;

   Component FJKC                                            -- ObjectKind=Part|PrimaryId=U153|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U153-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U153-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U153-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U153-K
        Q   : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U153-Q
      );
   End Component;

   Component FJKCN                                           -- ObjectKind=Part|PrimaryId=U149|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U149-C
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U149-CLR
        J   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U149-J
        K   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U149-K
        Q   : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U149-Q
        QN  : out STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U149-QN
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=U31|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=U31-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=U31-O
      );
   End Component;

   Component INV2S                                           -- ObjectKind=Part|PrimaryId=U151|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U151-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U151-I1
        O0 : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U151-O0
        O1 : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U151-O1
      );
   End Component;

   Component M1_S4S1                                         -- ObjectKind=Part|PrimaryId=U150|SecondaryId=1
      port
      (
        D0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-D0
        D1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-D1
        D2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-D2
        D3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-D3
        O  : out STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-O
        S0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U150-S0
        S1 : in  STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U150-S1
      );
   End Component;

   Component NAND2S                                          -- ObjectKind=Part|PrimaryId=U160|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U160-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U160-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U160-O
      );
   End Component;

   Component NAND4S                                          -- ObjectKind=Part|PrimaryId=U172|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U172-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U172-I1
        I2 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U172-I2
        I3 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U172-I3
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U172-O
      );
   End Component;

   Component OnePPSCounter                                   -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance2
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT : out STD_LOGIC_VECTOR(31 Downto 0);           -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   : in  STD_LOGIC;                               -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID : out STD_LOGIC                                -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );
   End Component;

   Component OR2S                                            -- ObjectKind=Part|PrimaryId=U210|SecondaryId=1
      port
      (
        I0 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U210-I0
        I1 : in  STD_LOGIC;                                  -- ObjectKind=Pin|PrimaryId=U210-I1
        O  : out STD_LOGIC                                   -- ObjectKind=Pin|PrimaryId=U210-O
      );
   End Component;

   Component SR4CES                                          -- ObjectKind=Part|PrimaryId=U143|SecondaryId=1
      port
      (
        C   : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-C
        CE  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-CE
        CLR : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-CLR
        Q0  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-Q0
        Q1  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-Q1
        Q2  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-Q2
        Q3  : out STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=U143-Q3
        SLI : in  STD_LOGIC                                  -- ObjectKind=Pin|PrimaryId=U143-SLI
      );
   End Component;

   Component TimingLinkFanout                                -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      port
      (
        A           : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-A[31..0]
        ADDR        : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-ADDR[31..0]
        B           : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-B[31..0]
        CLK         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-CLK
        DONE        : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-DONE
        DOUT        : out STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-DOUT[7..0]
        ENABLE      : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-ENABLE
        GPS         : in  STD_LOGIC_VECTOR(31 Downto 0);     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-GPS[31..0]
        IN_CE       : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_CE
        IN_CRCERR   : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_CRCERR
        IN_D        : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_D
        IN_DONE     : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_DONE
        IN_START    : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_START
        OUT_CE      : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_CE
        OUT_D       : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_D
        OUT_DONE    : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_DONE
        OUT_START   : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_START
        PREV_DIN    : in  STD_LOGIC_VECTOR(7 Downto 0);      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_DIN[7..0]
        PREV_DONE   : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_DONE
        PREV_ENABLE : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_ENABLE
        PREV_RDY    : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_RDY
        PREV_START  : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_START
        RDY         : out STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-RDY
        RST         : in  STD_LOGIC;                         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-RST
        START       : in  STD_LOGIC                          -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-START
      );
   End Component;


    Signal NamedSignal_1PPSA                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSA
    Signal NamedSignal_1PPSADV                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSADV
    Signal NamedSignal_1PPSINA                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSINA
    Signal NamedSignal_CLK                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK
    Signal NamedSignal_CLK0ENB                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal NamedSignal_CNT                         : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_DELAY                       : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal NamedSignal_DLY                         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal NamedSignal_DLY_OOR                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DLY_OOR
    Signal NamedSignal_DLYERR                      : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DLYERR[31..0]
    Signal NamedSignal_DLYVLD                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DLYVLD
    Signal NamedSignal_DM1A                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1A
    Signal NamedSignal_GPS                         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=GPS[31..0]
    Signal NamedSignal_IN_CE                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal NamedSignal_IN_CRCERR                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal NamedSignal_IN_D                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal NamedSignal_IN_DONE                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal NamedSignal_IN_ENB                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal NamedSignal_INCNT                       : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal NamedSignal_LDDLY                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDDLY
    Signal NamedSignal_LOSA                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LOSA
    Signal NamedSignal_NDO                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal NamedSignal_NDOENB                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal NamedSignal_NM1A                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1A
    Signal NamedSignal_OUT_CE                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal NamedSignal_OUT_D                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal NamedSignal_OUT_DONE                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_DONE
    Signal NamedSignal_RST                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST
    Signal NamedSignal_RSTDLY                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RSTDLY
    Signal NamedSignal_SYNCDIS                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCDIS
    Signal NamedSignal_UP                          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal PinSignal_TimeDifferance2_COUNT         : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal PinSignal_TimeDifferance2_VALID         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DLYVLD
    Signal PinSignal_U_delayerror_DELAYERR         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DELAYERR
    Signal PinSignal_U_delayerror_ERRCNT           : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=ERRC[7..0]
    Signal PinSignal_U_delayerror_MISSING          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MISSING
    Signal PinSignal_U_delayerror_UP               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=UP
    Signal PinSignal_U_fanoutportcounter_NMI       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NM1A
    Signal PinSignal_U_fanoutportcounter_ONEPPSADV : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSADV
    Signal PinSignal_U_fanoutportcounter_OOR       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DLY_OOR
    Signal PinSignal_U_fanoutportcounter_OUTCOUNT  : STD_LOGIC_VECTOR(25 Downto 0); -- ObjectKind=Net|PrimaryId=CNT[25..0]
    Signal PinSignal_U_timinglink_DONE             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DONE
    Signal PinSignal_U_timinglink_DOUT             : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=DO[7..0]
    Signal PinSignal_U_timinglink_IN_CRCERR        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    Signal PinSignal_U_timinglink_IN_DONE          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_DONE
    Signal PinSignal_U_timinglink_OUT_D            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_D
    Signal PinSignal_U_timinglink_OUT_DONE         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_DONE
    Signal PinSignal_U_timinglink_PREV_ENABLE      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    Signal PinSignal_U_timinglink_PREV_START       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=PREV_START
    Signal PinSignal_U_timinglink_RDY              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RDY
    Signal PinSignal_U143_Q2                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU143_Q2
    Signal PinSignal_U144_S                        : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DLYERR[31..0]
    Signal PinSignal_U145_Q0                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q0
    Signal PinSignal_U145_Q1                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q1
    Signal PinSignal_U145_Q2                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q2
    Signal PinSignal_U145_Q3                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q3
    Signal PinSignal_U145_Q4                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_Q4
    Signal PinSignal_U146_Q                        : STD_LOGIC_VECTOR(31 Downto 0); -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    Signal PinSignal_U147_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_CE
    Signal PinSignal_U148_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU147_D
    Signal PinSignal_U149_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_ENB
    Signal PinSignal_U149_QN                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU145_R
    Signal PinSignal_U150_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU150_O
    Signal PinSignal_U151_O0                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU151_O0
    Signal PinSignal_U151_O1                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU151_O1
    Signal PinSignal_U152_Q0                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU152_Q0
    Signal PinSignal_U152_Q1                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=DM1A
    Signal PinSignal_U153_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_ENB
    Signal PinSignal_U154_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=N1PPSA
    Signal PinSignal_U154_QN                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSA
    Signal PinSignal_U155_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=OUT_CE
    Signal PinSignal_U156_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK0ENB
    Signal PinSignal_U157_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU155_D
    Signal PinSignal_U158_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDOENB
    Signal PinSignal_U159_Q                        : STD_LOGIC_VECTOR(7 Downto 0); -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    Signal PinSignal_U160_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU160_O
    Signal PinSignal_U161_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NDO
    Signal PinSignal_U162_Q3                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU162_Q3
    Signal PinSignal_U163_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=LDDLY
    Signal PinSignal_U164_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU164_O
    Signal PinSignal_U166_Q0                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU166_Q0
    Signal PinSignal_U166_Q1                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU166_Q1
    Signal PinSignal_U166_Q2                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU166_Q2
    Signal PinSignal_U166_Q3                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU166_Q3
    Signal PinSignal_U166_TC                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU164_I
    Signal PinSignal_U167_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU163_I1
    Signal PinSignal_U168_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU167_D
    Signal PinSignal_U169_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU169_O
    Signal PinSignal_U172_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SYNCDIS
    Signal PinSignal_U173_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU173_Q
    Signal PinSignal_U174_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU174_Q
    Signal PinSignal_U175_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU173_D
    Signal PinSignal_U176_Q                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=IN_D
    Signal PinSignal_U177_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=1PPSINA
    Signal PinSignal_U178_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU178_O
    Signal PinSignal_U179_QN                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RSTDLY
    Signal PinSignal_U180_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU173_CLR
    Signal PinSignal_U210_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU149_CLR
    Signal PinSignal_U31_O                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU31_O
    Signal PinSignal_U81_O0                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU81_O0
    Signal PinSignal_U81_O1                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU81_O1
    Signal PinSignal_U81_O2                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU81_O2
    Signal PinSignal_U81_O3                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetU81_O3
    Signal PowerSignal_GND                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC                         : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

Begin
    U_timinglink : TimingLinkFanout                          -- ObjectKind=Sheet Symbol|PrimaryId=U_timinglink
      Port Map
      (
        A           => A,                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-A[31..0]
        ADDR        => ADDR,                                 -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-ADDR[31..0]
        B           => B,                                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-B[31..0]
        CLK         => NamedSignal_CLK,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-CLK
        DONE        => PinSignal_U_timinglink_DONE,          -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-DONE
        DOUT        => PinSignal_U_timinglink_DOUT,          -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-DOUT[7..0]
        ENABLE      => ENABLE,                               -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-ENABLE
        GPS         => NamedSignal_GPS,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-GPS[31..0]
        IN_CE       => NamedSignal_IN_CE,                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_CE
        IN_CRCERR   => PinSignal_U_timinglink_IN_CRCERR,     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_CRCERR
        IN_D        => NamedSignal_IN_D,                     -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_D
        IN_DONE     => PinSignal_U_timinglink_IN_DONE,       -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_DONE
        IN_START    => NamedSignal_1PPSINA,                  -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-IN_START
        OUT_CE      => NamedSignal_OUT_CE,                   -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_CE
        OUT_D       => PinSignal_U_timinglink_OUT_D,         -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_D
        OUT_DONE    => PinSignal_U_timinglink_OUT_DONE,      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_DONE
        OUT_START   => NamedSignal_1PPSA,                    -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-OUT_START
        PREV_DIN    => PREV_DI,                              -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_DIN[7..0]
        PREV_DONE   => PREV_DONE,                            -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_DONE
        PREV_ENABLE => PinSignal_U_timinglink_PREV_ENABLE,   -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_ENABLE
        PREV_RDY    => PREV_RDY,                             -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_RDY
        PREV_START  => PinSignal_U_timinglink_PREV_START,    -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-PREV_START
        RDY         => PinSignal_U_timinglink_RDY,           -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-RDY
        RST         => NamedSignal_RST,                      -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-RST
        START       => START                                 -- ObjectKind=Sheet Entry|PrimaryId=TimingLinkFanout.Vhd-START
      );

    U_fanoutportcounter : FanoutPortCounter                  -- ObjectKind=Sheet Symbol|PrimaryId=U_fanoutportcounter
      Port Map
      (
        CLK       => NamedSignal_CLK,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-CLK
        DELAY     => NamedSignal_DELAY,                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-DELAY[31..0]
        INCOUNT   => NamedSignal_INCNT,                      -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-INCOUNT[25..0]
        NMI       => PinSignal_U_fanoutportcounter_NMI,      -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-NMI
        ONEPPSADV => PinSignal_U_fanoutportcounter_ONEPPSADV, -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-ONEPPSADV
        OOR       => PinSignal_U_fanoutportcounter_OOR,      -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-OOR
        OUTCOUNT  => PinSignal_U_fanoutportcounter_OUTCOUNT, -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-OUTCOUNT[25..0]
        RST       => NamedSignal_RST,                        -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-RST
        SYNCDIS   => NamedSignal_SYNCDIS                     -- ObjectKind=Sheet Entry|PrimaryId=FanoutPortCounter.Vhd-SYNCDIS
      );

    U_delayerror : DelayError                                -- ObjectKind=Sheet Symbol|PrimaryId=U_delayerror
      Port Map
      (
        CLK       => CLK,                                    -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-CLK
        CNT       => CNT,                                    -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-CNT[25..0]
        DELAYERR  => PinSignal_U_delayerror_DELAYERR,        -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DELAYERR
        DLYERR    => NamedSignal_DLYERR,                     -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYERR[31..0]
        DLYOOR    => NamedSignal_DLY_OOR,                    -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYOOR
        DLYVLD    => NamedSignal_DLYVLD,                     -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-DLYVLD
        ERRCNT    => PinSignal_U_delayerror_ERRCNT,          -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-ERRCNT[7..0]
        LOS       => NamedSignal_LOSA,                       -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-LOS
        MISSING   => PinSignal_U_delayerror_MISSING,         -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-MISSING
        ONEPPSADV => NamedSignal_1PPSADV,                    -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-ONEPPSADV
        RST       => RST,                                    -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-RST
        UP        => PinSignal_U_delayerror_UP               -- ObjectKind=Sheet Entry|PrimaryId=DelayError.Vhd-UP
      );

    TimeDifferance2 : OnePPSCounter                          -- ObjectKind=Sheet Symbol|PrimaryId=TimeDifferance2
      Port Map
      (
        CLK   => NamedSignal_CLK,                            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-CLK
        COUNT => PinSignal_TimeDifferance2_COUNT,            -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-COUNT[31..0]
        INA   => NamedSignal_1PPSA,                          -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INA
        INB   => NamedSignal_1PPSINA,                        -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-INB
        VALID => PinSignal_TimeDifferance2_VALID             -- ObjectKind=Sheet Entry|PrimaryId=OnePPSCounter.Vhd-VALID
      );

    U210 : OR2S                                              -- ObjectKind=Part|PrimaryId=U210|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_RST,                               -- ObjectKind=Pin|PrimaryId=U210-I0
        I1 => NamedSignal_LOSA,                              -- ObjectKind=Pin|PrimaryId=U210-I1
        O  => PinSignal_U210_O                               -- ObjectKind=Pin|PrimaryId=U210-O
      );

    U180 : INV                                               -- ObjectKind=Part|PrimaryId=U180|SecondaryId=1
      Port Map
      (
        I => PinSignal_U174_Q,                               -- ObjectKind=Pin|PrimaryId=U180-I
        O => PinSignal_U180_O                                -- ObjectKind=Pin|PrimaryId=U180-O
      );

    U179 : FDCN                                              -- ObjectKind=Part|PrimaryId=U179|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_1PPSA,                            -- ObjectKind=Pin|PrimaryId=U179-C
        CLR => NamedSignal_RST,                              -- ObjectKind=Pin|PrimaryId=U179-CLR
        D   => PinSignal_U178_O,                             -- ObjectKind=Pin|PrimaryId=U179-D
        QN  => PinSignal_U179_QN                             -- ObjectKind=Pin|PrimaryId=U179-QN
      );

    U178 : INV                                               -- ObjectKind=Part|PrimaryId=U178|SecondaryId=1
      Port Map
      (
        I => LOSA,                                           -- ObjectKind=Pin|PrimaryId=U178-I
        O => PinSignal_U178_O                                -- ObjectKind=Pin|PrimaryId=U178-O
      );

    U177 : AND2N1S                                           -- ObjectKind=Part|PrimaryId=U177|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_IN_ENB,                            -- ObjectKind=Pin|PrimaryId=U177-I0
        I1 => PinSignal_U176_Q,                              -- ObjectKind=Pin|PrimaryId=U177-I1
        O  => PinSignal_U177_O                               -- ObjectKind=Pin|PrimaryId=U177-O
      );

    U176 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U176|SecondaryId=1
      Port Map
      (
        C   => SYNCINA,                                      -- ObjectKind=Pin|PrimaryId=U176-C
        CLR => NamedSignal_LOSA,                             -- ObjectKind=Pin|PrimaryId=U176-CLR
        D   => PinSignal_U175_Q,                             -- ObjectKind=Pin|PrimaryId=U176-D
        Q   => PinSignal_U176_Q                              -- ObjectKind=Pin|PrimaryId=U176-Q
      );

    U175 : FDE                                               -- ObjectKind=Part|PrimaryId=U175|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U175-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U175-CE
        D  => PinSignal_U174_Q,                              -- ObjectKind=Pin|PrimaryId=U175-D
        Q  => PinSignal_U175_Q                               -- ObjectKind=Pin|PrimaryId=U175-Q
      );

    U174 : FDC_1                                             -- ObjectKind=Part|PrimaryId=U174|SecondaryId=1
      Port Map
      (
        C   => SYNCINA,                                      -- ObjectKind=Pin|PrimaryId=U174-C
        CLR => PinSignal_U173_Q,                             -- ObjectKind=Pin|PrimaryId=U174-CLR
        D   => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U174-D
        Q   => PinSignal_U174_Q                              -- ObjectKind=Pin|PrimaryId=U174-Q
      );

    U173 : FDCE                                              -- ObjectKind=Part|PrimaryId=U173|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U173-C
        CE  => NamedSignal_CNT(0),                           -- ObjectKind=Pin|PrimaryId=U173-CE
        CLR => PinSignal_U180_O,                             -- ObjectKind=Pin|PrimaryId=U173-CLR
        D   => PinSignal_U175_Q,                             -- ObjectKind=Pin|PrimaryId=U173-D
        Q   => PinSignal_U173_Q                              -- ObjectKind=Pin|PrimaryId=U173-Q
      );

    U172 : NAND4S                                            -- ObjectKind=Part|PrimaryId=U172|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U166_Q0,                             -- ObjectKind=Pin|PrimaryId=U172-I0
        I1 => PinSignal_U166_Q1,                             -- ObjectKind=Pin|PrimaryId=U172-I1
        I2 => PinSignal_U166_Q2,                             -- ObjectKind=Pin|PrimaryId=U172-I2
        I3 => PinSignal_U166_Q3,                             -- ObjectKind=Pin|PrimaryId=U172-I3
        O  => PinSignal_U172_O                               -- ObjectKind=Pin|PrimaryId=U172-O
      );

    U169 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U169|SecondaryId=1
      Port Map
      (
        D0 => PinSignal_U81_O0,                              -- ObjectKind=Pin|PrimaryId=U169-D0
        D1 => PinSignal_U81_O1,                              -- ObjectKind=Pin|PrimaryId=U169-D1
        D2 => PinSignal_U81_O2,                              -- ObjectKind=Pin|PrimaryId=U169-D2
        D3 => PinSignal_U81_O3,                              -- ObjectKind=Pin|PrimaryId=U169-D3
        O  => PinSignal_U169_O,                              -- ObjectKind=Pin|PrimaryId=U169-O
        S0 => NamedSignal_UP,                                -- ObjectKind=Pin|PrimaryId=U169-S0
        S1 => PinSignal_U31_O                                -- ObjectKind=Pin|PrimaryId=U169-S1
      );

    U168 : AND4N1S                                           -- ObjectKind=Part|PrimaryId=U168|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U166_Q1,                             -- ObjectKind=Pin|PrimaryId=U168-I0
        I1 => PinSignal_U166_Q0,                             -- ObjectKind=Pin|PrimaryId=U168-I1
        I2 => PinSignal_U166_Q2,                             -- ObjectKind=Pin|PrimaryId=U168-I2
        I3 => PinSignal_U166_Q3,                             -- ObjectKind=Pin|PrimaryId=U168-I3
        O  => PinSignal_U168_O                               -- ObjectKind=Pin|PrimaryId=U168-O
      );

    U167 : FD                                                -- ObjectKind=Part|PrimaryId=U167|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U167-C
        D => PinSignal_U168_O,                               -- ObjectKind=Pin|PrimaryId=U167-D
        Q => PinSignal_U167_Q                                -- ObjectKind=Pin|PrimaryId=U167-Q
      );

    U166 : CB8CES                                            -- ObjectKind=Part|PrimaryId=U166|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_1PPSA,                            -- ObjectKind=Pin|PrimaryId=U166-C
        CE  => PinSignal_U164_O,                             -- ObjectKind=Pin|PrimaryId=U166-CE
        CLR => PinSignal_U179_QN,                            -- ObjectKind=Pin|PrimaryId=U166-CLR
        Q0  => PinSignal_U166_Q0,                            -- ObjectKind=Pin|PrimaryId=U166-Q0
        Q1  => PinSignal_U166_Q1,                            -- ObjectKind=Pin|PrimaryId=U166-Q1
        Q2  => PinSignal_U166_Q2,                            -- ObjectKind=Pin|PrimaryId=U166-Q2
        Q3  => PinSignal_U166_Q3,                            -- ObjectKind=Pin|PrimaryId=U166-Q3
        TC  => PinSignal_U166_TC                             -- ObjectKind=Pin|PrimaryId=U166-TC
      );

    U164 : INV                                               -- ObjectKind=Part|PrimaryId=U164|SecondaryId=1
      Port Map
      (
        I => PinSignal_U166_TC,                              -- ObjectKind=Pin|PrimaryId=U164-I
        O => PinSignal_U164_O                                -- ObjectKind=Pin|PrimaryId=U164-O
      );

    U163 : AND2S                                             -- ObjectKind=Part|PrimaryId=U163|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U162_Q3,                             -- ObjectKind=Pin|PrimaryId=U163-I0
        I1 => PinSignal_U167_Q,                              -- ObjectKind=Pin|PrimaryId=U163-I1
        O  => PinSignal_U163_O                               -- ObjectKind=Pin|PrimaryId=U163-O
      );

    U162 : SR4CES                                            -- ObjectKind=Part|PrimaryId=U162|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U162-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U162-CE
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U162-CLR
        Q3  => PinSignal_U162_Q3,                            -- ObjectKind=Pin|PrimaryId=U162-Q3
        SLI => NamedSignal_DLYVLD                            -- ObjectKind=Pin|PrimaryId=U162-SLI
      );

    U161 : AND2S                                             -- ObjectKind=Part|PrimaryId=U161|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U160_O,                              -- ObjectKind=Pin|PrimaryId=U161-I0
        I1 => NamedSignal_NM1A,                              -- ObjectKind=Pin|PrimaryId=U161-I1
        O  => PinSignal_U161_O                               -- ObjectKind=Pin|PrimaryId=U161-O
      );

    U160 : NAND2S                                            -- ObjectKind=Part|PrimaryId=U160|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_OUT_D,                             -- ObjectKind=Pin|PrimaryId=U160-I0
        I1 => NamedSignal_NDOENB,                            -- ObjectKind=Pin|PrimaryId=U160-I1
        O  => PinSignal_U160_O                               -- ObjectKind=Pin|PrimaryId=U160-O
      );

    U159 : CB8REB                                            -- ObjectKind=Part|PrimaryId=U159|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U159-C
        CE => NamedSignal_IN_CRCERR,                         -- ObjectKind=Pin|PrimaryId=U159-CE
        Q  => PinSignal_U159_Q,                              -- ObjectKind=Pin|PrimaryId=U159-Q[7..0]
        R  => NamedSignal_RST                                -- ObjectKind=Pin|PrimaryId=U159-R
      );

    U158 : AND3S                                             -- ObjectKind=Part|PrimaryId=U158|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U153_Q,                              -- ObjectKind=Pin|PrimaryId=U158-I0
        I1 => NamedSignal_CNT(3),                            -- ObjectKind=Pin|PrimaryId=U158-I1
        I2 => NamedSignal_CNT(4),                            -- ObjectKind=Pin|PrimaryId=U158-I2
        O  => PinSignal_U158_O                               -- ObjectKind=Pin|PrimaryId=U158-O
      );

    U157 : AND2S                                             -- ObjectKind=Part|PrimaryId=U157|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CLK0ENB,                           -- ObjectKind=Pin|PrimaryId=U157-I0
        I1 => PinSignal_U158_O,                              -- ObjectKind=Pin|PrimaryId=U157-I1
        O  => PinSignal_U157_O                               -- ObjectKind=Pin|PrimaryId=U157-O
      );

    U156 : AND3S                                             -- ObjectKind=Part|PrimaryId=U156|SecondaryId=1
      Port Map
      (
        I0 => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U156-I0
        I1 => NamedSignal_CNT(1),                            -- ObjectKind=Pin|PrimaryId=U156-I1
        I2 => NamedSignal_CNT(2),                            -- ObjectKind=Pin|PrimaryId=U156-I2
        O  => PinSignal_U156_O                               -- ObjectKind=Pin|PrimaryId=U156-O
      );

    U155 : FD                                                -- ObjectKind=Part|PrimaryId=U155|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U155-C
        D => PinSignal_U157_O,                               -- ObjectKind=Pin|PrimaryId=U155-D
        Q => PinSignal_U155_Q                                -- ObjectKind=Pin|PrimaryId=U155-Q
      );

    U154 : FDEN                                              -- ObjectKind=Part|PrimaryId=U154|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U154-C
        CE => PinSignal_U156_O,                              -- ObjectKind=Pin|PrimaryId=U154-CE
        D  => NamedSignal_NM1A,                              -- ObjectKind=Pin|PrimaryId=U154-D
        Q  => PinSignal_U154_Q,                              -- ObjectKind=Pin|PrimaryId=U154-Q
        QN => PinSignal_U154_QN                              -- ObjectKind=Pin|PrimaryId=U154-QN
      );

    U153 : FJKC                                              -- ObjectKind=Part|PrimaryId=U153|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U153-C
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U153-CLR
        J   => NamedSignal_1PPSA,                            -- ObjectKind=Pin|PrimaryId=U153-J
        K   => NamedSignal_OUT_DONE,                         -- ObjectKind=Pin|PrimaryId=U153-K
        Q   => PinSignal_U153_Q                              -- ObjectKind=Pin|PrimaryId=U153-Q
      );

    U152 : FD2ES                                             -- ObjectKind=Part|PrimaryId=U152|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U152-C
        CE => NamedSignal_CNT(0),                            -- ObjectKind=Pin|PrimaryId=U152-CE
        D0 => PinSignal_U151_O0,                             -- ObjectKind=Pin|PrimaryId=U152-D0
        D1 => PinSignal_U151_O1,                             -- ObjectKind=Pin|PrimaryId=U152-D1
        Q0 => PinSignal_U152_Q0,                             -- ObjectKind=Pin|PrimaryId=U152-Q0
        Q1 => PinSignal_U152_Q1                              -- ObjectKind=Pin|PrimaryId=U152-Q1
      );

    U151 : INV2S                                             -- ObjectKind=Part|PrimaryId=U151|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U150_O,                              -- ObjectKind=Pin|PrimaryId=U151-I0
        I1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U151-I1
        O0 => PinSignal_U151_O0,                             -- ObjectKind=Pin|PrimaryId=U151-O0
        O1 => PinSignal_U151_O1                              -- ObjectKind=Pin|PrimaryId=U151-O1
      );

    U150 : M1_S4S1                                           -- ObjectKind=Part|PrimaryId=U150|SecondaryId=1
      Port Map
      (
        D0 => NamedSignal_DM1A,                              -- ObjectKind=Pin|PrimaryId=U150-D0
        D1 => NamedSignal_NDO,                               -- ObjectKind=Pin|PrimaryId=U150-D1
        D2 => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U150-D2
        D3 => PowerSignal_GND,                               -- ObjectKind=Pin|PrimaryId=U150-D3
        O  => PinSignal_U150_O,                              -- ObjectKind=Pin|PrimaryId=U150-O
        S0 => NamedSignal_CNT(1),                            -- ObjectKind=Pin|PrimaryId=U150-S0
        S1 => NamedSignal_CNT(2)                             -- ObjectKind=Pin|PrimaryId=U150-S1
      );

    U149 : FJKCN                                             -- ObjectKind=Part|PrimaryId=U149|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U149-C
        CLR => PinSignal_U210_O,                             -- ObjectKind=Pin|PrimaryId=U149-CLR
        J   => PinSignal_U143_Q2,                            -- ObjectKind=Pin|PrimaryId=U149-J
        K   => NamedSignal_IN_DONE,                          -- ObjectKind=Pin|PrimaryId=U149-K
        Q   => PinSignal_U149_Q,                             -- ObjectKind=Pin|PrimaryId=U149-Q
        QN  => PinSignal_U149_QN                             -- ObjectKind=Pin|PrimaryId=U149-QN
      );

    U148 : AND5S                                             -- ObjectKind=Part|PrimaryId=U148|SecondaryId=1
      Port Map
      (
        I0 => PinSignal_U145_Q0,                             -- ObjectKind=Pin|PrimaryId=U148-I0
        I1 => PinSignal_U145_Q1,                             -- ObjectKind=Pin|PrimaryId=U148-I1
        I2 => PinSignal_U145_Q2,                             -- ObjectKind=Pin|PrimaryId=U148-I2
        I3 => PinSignal_U145_Q3,                             -- ObjectKind=Pin|PrimaryId=U148-I3
        I4 => PinSignal_U145_Q4,                             -- ObjectKind=Pin|PrimaryId=U148-I4
        O  => PinSignal_U148_O                               -- ObjectKind=Pin|PrimaryId=U148-O
      );

    U147 : FD                                                -- ObjectKind=Part|PrimaryId=U147|SecondaryId=1
      Port Map
      (
        C => NamedSignal_CLK,                                -- ObjectKind=Pin|PrimaryId=U147-C
        D => PinSignal_U148_O,                               -- ObjectKind=Pin|PrimaryId=U147-D
        Q => PinSignal_U147_Q                                -- ObjectKind=Pin|PrimaryId=U147-Q
      );

    U146 : FD32CEB                                           -- ObjectKind=Part|PrimaryId=U146|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U146-C
        CE  => NamedSignal_LDDLY,                            -- ObjectKind=Pin|PrimaryId=U146-CE
        CLR => NamedSignal_RSTDLY,                           -- ObjectKind=Pin|PrimaryId=U146-CLR
        D   => PinSignal_TimeDifferance2_COUNT,              -- ObjectKind=Pin|PrimaryId=U146-D[31..0]
        Q   => PinSignal_U146_Q                              -- ObjectKind=Pin|PrimaryId=U146-Q[31..0]
      );

    U145 : CB8RES                                            -- ObjectKind=Part|PrimaryId=U145|SecondaryId=1
      Port Map
      (
        C  => NamedSignal_CLK,                               -- ObjectKind=Pin|PrimaryId=U145-C
        CE => PowerSignal_VCC,                               -- ObjectKind=Pin|PrimaryId=U145-CE
        Q0 => PinSignal_U145_Q0,                             -- ObjectKind=Pin|PrimaryId=U145-Q0
        Q1 => PinSignal_U145_Q1,                             -- ObjectKind=Pin|PrimaryId=U145-Q1
        Q2 => PinSignal_U145_Q2,                             -- ObjectKind=Pin|PrimaryId=U145-Q2
        Q3 => PinSignal_U145_Q3,                             -- ObjectKind=Pin|PrimaryId=U145-Q3
        Q4 => PinSignal_U145_Q4,                             -- ObjectKind=Pin|PrimaryId=U145-Q4
        R  => PinSignal_U149_QN                              -- ObjectKind=Pin|PrimaryId=U145-R
      );

    U144 : ADSU32B                                           -- ObjectKind=Part|PrimaryId=U144|SecondaryId=1
      Port Map
      (
        A   => NamedSignal_DLY,                              -- ObjectKind=Pin|PrimaryId=U144-A[31..0]
        ADD => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U144-ADD
        B   => PinSignal_U146_Q,                             -- ObjectKind=Pin|PrimaryId=U144-B[31..0]
        CI  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U144-CI
        S   => PinSignal_U144_S                              -- ObjectKind=Pin|PrimaryId=U144-S[31..0]
      );

    U143 : SR4CES                                            -- ObjectKind=Part|PrimaryId=U143|SecondaryId=1
      Port Map
      (
        C   => NamedSignal_CLK,                              -- ObjectKind=Pin|PrimaryId=U143-C
        CE  => PowerSignal_VCC,                              -- ObjectKind=Pin|PrimaryId=U143-CE
        CLR => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=U143-CLR
        Q2  => PinSignal_U143_Q2,                            -- ObjectKind=Pin|PrimaryId=U143-Q2
        SLI => NamedSignal_1PPSINA                           -- ObjectKind=Pin|PrimaryId=U143-SLI
      );

    U81 : Configurable_U81                                   -- ObjectKind=Part|PrimaryId=U81|SecondaryId=1
      Port Map
      (
        I  => LEDSYNC,                                       -- ObjectKind=Pin|PrimaryId=U81-I[3..0]
        O0 => PinSignal_U81_O0,                              -- ObjectKind=Pin|PrimaryId=U81-O0
        O1 => PinSignal_U81_O1,                              -- ObjectKind=Pin|PrimaryId=U81-O1
        O2 => PinSignal_U81_O2,                              -- ObjectKind=Pin|PrimaryId=U81-O2
        O3 => PinSignal_U81_O3                               -- ObjectKind=Pin|PrimaryId=U81-O3
      );

    U31 : INV                                                -- ObjectKind=Part|PrimaryId=U31|SecondaryId=1
      Port Map
      (
        I => NamedSignal_LOSA,                               -- ObjectKind=Pin|PrimaryId=U31-I
        O => PinSignal_U31_O                                 -- ObjectKind=Pin|PrimaryId=U31-O
      );

    -- Signal Assignments
    ---------------------
    CRCERR                <= PinSignal_U159_Q; -- ObjectKind=Net|PrimaryId=CRCERR[7..0]
    DELAY                 <= PinSignal_TimeDifferance2_COUNT; -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    DELAYERR              <= PinSignal_U_delayerror_DELAYERR; -- ObjectKind=Net|PrimaryId=DELAYERR
    DO                    <= PinSignal_U_timinglink_DOUT; -- ObjectKind=Net|PrimaryId=DO[7..0]
    DONE                  <= PinSignal_U_timinglink_DONE; -- ObjectKind=Net|PrimaryId=DONE
    ERRC                  <= PinSignal_U_delayerror_ERRCNT; -- ObjectKind=Net|PrimaryId=ERRC[7..0]
    FIXED_DELAY           <= PinSignal_U146_Q; -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    LEDA                  <= PinSignal_U169_O; -- ObjectKind=Net|PrimaryId=NetU169_O
    MISSING               <= PinSignal_U_delayerror_MISSING; -- ObjectKind=Net|PrimaryId=MISSING
    NamedSignal_1PPSA     <= PinSignal_U154_QN; -- ObjectKind=Net|PrimaryId=1PPSA
    NamedSignal_1PPSADV   <= PinSignal_U_fanoutportcounter_ONEPPSADV; -- ObjectKind=Net|PrimaryId=1PPSADV
    NamedSignal_1PPSINA   <= PinSignal_U177_O; -- ObjectKind=Net|PrimaryId=1PPSINA
    NamedSignal_CLK       <= CLK; -- ObjectKind=Net|PrimaryId=CLK
    NamedSignal_CLK0ENB   <= PinSignal_U156_O; -- ObjectKind=Net|PrimaryId=CLK0ENB
    NamedSignal_CNT       <= PinSignal_U_fanoutportcounter_OUTCOUNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_DELAY     <= PinSignal_U146_Q; -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    NamedSignal_DLY       <= PinSignal_TimeDifferance2_COUNT; -- ObjectKind=Net|PrimaryId=DELAY[31..0]
    NamedSignal_DLY_OOR   <= PinSignal_U_fanoutportcounter_OOR; -- ObjectKind=Net|PrimaryId=DLY_OOR
    NamedSignal_DLYERR    <= PinSignal_U144_S; -- ObjectKind=Net|PrimaryId=DLYERR[31..0]
    NamedSignal_DLYVLD    <= PinSignal_TimeDifferance2_VALID; -- ObjectKind=Net|PrimaryId=DLYVLD
    NamedSignal_DM1A      <= PinSignal_U152_Q1; -- ObjectKind=Net|PrimaryId=DM1A
    NamedSignal_GPS       <= GPS; -- ObjectKind=Net|PrimaryId=GPS[31..0]
    NamedSignal_IN_CE     <= PinSignal_U147_Q; -- ObjectKind=Net|PrimaryId=IN_CE
    NamedSignal_IN_CRCERR <= PinSignal_U_timinglink_IN_CRCERR; -- ObjectKind=Net|PrimaryId=IN_CRCERR
    NamedSignal_IN_D      <= PinSignal_U176_Q; -- ObjectKind=Net|PrimaryId=IN_D
    NamedSignal_IN_DONE   <= PinSignal_U_timinglink_IN_DONE; -- ObjectKind=Net|PrimaryId=IN_DONE
    NamedSignal_IN_ENB    <= PinSignal_U149_Q; -- ObjectKind=Net|PrimaryId=IN_ENB
    NamedSignal_INCNT     <= CNT; -- ObjectKind=Net|PrimaryId=CNT[25..0]
    NamedSignal_LDDLY     <= PinSignal_U163_O; -- ObjectKind=Net|PrimaryId=LDDLY
    NamedSignal_LOSA      <= LOSA; -- ObjectKind=Net|PrimaryId=LOSA
    NamedSignal_NDO       <= PinSignal_U161_O; -- ObjectKind=Net|PrimaryId=NDO
    NamedSignal_NDOENB    <= PinSignal_U158_O; -- ObjectKind=Net|PrimaryId=NDOENB
    NamedSignal_NM1A      <= PinSignal_U_fanoutportcounter_NMI; -- ObjectKind=Net|PrimaryId=NM1A
    NamedSignal_OUT_CE    <= PinSignal_U155_Q; -- ObjectKind=Net|PrimaryId=OUT_CE
    NamedSignal_OUT_D     <= PinSignal_U_timinglink_OUT_D; -- ObjectKind=Net|PrimaryId=OUT_D
    NamedSignal_OUT_DONE  <= PinSignal_U_timinglink_OUT_DONE; -- ObjectKind=Net|PrimaryId=OUT_DONE
    NamedSignal_RST       <= RST; -- ObjectKind=Net|PrimaryId=RST
    NamedSignal_RSTDLY    <= PinSignal_U179_QN; -- ObjectKind=Net|PrimaryId=RSTDLY
    NamedSignal_SYNCDIS   <= PinSignal_U172_O; -- ObjectKind=Net|PrimaryId=SYNCDIS
    NamedSignal_UP        <= PinSignal_U_delayerror_UP; -- ObjectKind=Net|PrimaryId=UP
    PowerSignal_GND       <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC       <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    PREV_ENABLE           <= PinSignal_U_timinglink_PREV_ENABLE; -- ObjectKind=Net|PrimaryId=PREV_ENABLE
    PREV_START            <= PinSignal_U_timinglink_PREV_START; -- ObjectKind=Net|PrimaryId=PREV_START
    RDY                   <= PinSignal_U_timinglink_RDY; -- ObjectKind=Net|PrimaryId=RDY
    SYNCOUTA              <= PinSignal_U152_Q0; -- ObjectKind=Net|PrimaryId=NetU152_Q0
    UP                    <= PinSignal_U_delayerror_UP; -- ObjectKind=Net|PrimaryId=UP

End Structure;
------------------------------------------------------------

